function Create(self)
	--The top left and bottom right coordinates of the launching area.
	self.MinArea = Vector(self.Pos.X - 36, self.Pos.Y - 72);
	self.MaxArea = Vector(self.Pos.X + 36, self.Pos.Y + 72);
end

function Update(self)
	if self:GetController():IsState(Controller.BODY_JUMP) then
		for actor in MovableMan.Actors do
			if actor.Pos.X >= self.MinArea.X and actor.Pos.X <= self.MaxArea.X then
				if actor.Pos.Y >= self.MinArea.Y and actor.Pos.Y <= self.MaxArea.Y then
					actor.Vel.Y = -30;
				end
			end
		end
		for particle in MovableMan.Particles do
			if particle.Pos.X >= self.MinArea.X and particle.Pos.X <= self.MaxArea.X then
				if particle.Pos.Y >= self.MinArea.Y and particle.Pos.Y <= self.MaxArea.Y then
					particle.Vel.Y = -30;
				end
			end
		end
		for item in MovableMan.Items do
			if item.Pos.X >= self.MinArea.X and item.Pos.X <= self.MaxArea.X then
				if item.Pos.Y >= self.MinArea.Y and item.Pos.Y <= self.MaxArea.Y then
					item.Vel.Y = -30;
				end
			end
		end
	end
end